# Class VulkanPhysicalDeviceFeaturesFunctions

java.lang.Object
com.io7m.jcoronado.api.VulkanPhysicalDeviceFeaturesFunctions

public final class VulkanPhysicalDeviceFeaturesFunctions extends Object
Functions over device feature structures.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<String>`
  `isSupported(VulkanPhysicalDeviceFeatures supported, VulkanPhysicalDeviceFeatures requested)`
  Determine if the given set of features in `supported` satisfies those in `requested`.
  `static Set<String>`
  `isSupported10(VulkanPhysicalDeviceFeatures10 supported, VulkanPhysicalDeviceFeatures10 requested)`
  Determine if the given set of features in `supported` satisfies those in `requested`.
  `static Set<String>`
  `isSupported11(VulkanPhysicalDeviceFeatures11 supported, VulkanPhysicalDeviceFeatures11 requested)`
  Determine if the given set of features in `supported` satisfies those in `requested`.
  `static Set<String>`
  `isSupported12(VulkanPhysicalDeviceFeatures12 supported, VulkanPhysicalDeviceFeatures12 requested)`
  Determine if the given set of features in `supported` satisfies those in `requested`.
  `static Set<String>`
  `isSupported13(VulkanPhysicalDeviceFeatures13 supported, VulkanPhysicalDeviceFeatures13 requested)`
  Determine if the given set of features in `supported` satisfies those in `requested`.
  `static Set<String>`
  `isSupported14(VulkanPhysicalDeviceFeatures14 supported, VulkanPhysicalDeviceFeatures14 requested)`
  Determine if the given set of features in `supported` satisfies those in `requested`.
  `static Map<String,Boolean>`
  `mapOf(VulkanPhysicalDeviceFeatures f)`
  `static Map<String,Boolean>`
  `mapOf10(VulkanPhysicalDeviceFeatures10 f)`
  `static Map<String,Boolean>`
  `mapOf11(VulkanPhysicalDeviceFeatures11 f)`
  `static Map<String,Boolean>`
  `mapOf12(VulkanPhysicalDeviceFeatures12 f)`
  `static Map<String,Boolean>`
  `mapOf13(VulkanPhysicalDeviceFeatures13 f)`
  `static Map<String,Boolean>`
  `mapOf14(VulkanPhysicalDeviceFeatures14 f)`
  `static VulkanPhysicalDeviceFeatures`
  `none()`
  `static VulkanPhysicalDeviceFeatures10`
  `or(VulkanPhysicalDeviceFeatures10 a, VulkanPhysicalDeviceFeatures10 b)`
  Apply a bitwise OR to all fields.
  `static VulkanPhysicalDeviceFeatures11`
  `or(VulkanPhysicalDeviceFeatures11 a, VulkanPhysicalDeviceFeatures11 b)`
  Apply a bitwise OR to all fields.
  `static VulkanPhysicalDeviceFeatures12`
  `or(VulkanPhysicalDeviceFeatures12 a, VulkanPhysicalDeviceFeatures12 b)`
  Apply a bitwise OR to all fields.
  `static VulkanPhysicalDeviceFeatures13`
  `or(VulkanPhysicalDeviceFeatures13 a, VulkanPhysicalDeviceFeatures13 b)`
  Apply a bitwise OR to all fields.
  `static VulkanPhysicalDeviceFeatures14`
  `or(VulkanPhysicalDeviceFeatures14 a, VulkanPhysicalDeviceFeatures14 b)`
  Apply a bitwise OR to all fields.
  `static VulkanPhysicalDeviceFeatures`
  `or(VulkanPhysicalDeviceFeatures a, VulkanPhysicalDeviceFeatures b)`
  Apply a bitwise OR to all fields.
  `static VulkanPhysicalDeviceFeatures`
  `random()`
  `static VulkanPhysicalDeviceFeatures10`
  `random10()`
  `static VulkanPhysicalDeviceFeatures11`
  `random11()`
  `static VulkanPhysicalDeviceFeatures12`
  `random12()`
  `static VulkanPhysicalDeviceFeatures13`
  `random13()`
  `static VulkanPhysicalDeviceFeatures14`
  `random14()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### none

    public static VulkanPhysicalDeviceFeatures none()
    Returns:
      No features

  - ### random

    public static VulkanPhysicalDeviceFeatures random()
    Returns:
      A random feature selection

  - ### or

    public static VulkanPhysicalDeviceFeatures or(VulkanPhysicalDeviceFeatures a, VulkanPhysicalDeviceFeatures b)
    Apply a bitwise OR to all fields.
    Parameters:
      `a` - The left features
      `b` - The right features
    Returns:
      The OR of all features

  - ### mapOf10

    public static Map<String,Boolean> mapOf10(VulkanPhysicalDeviceFeatures10 f)
    Parameters:
      `f` - The features
    Returns:
      The features as a boolean map

  - ### random10

    public static VulkanPhysicalDeviceFeatures10 random10()
    Returns:
      A random feature selection

  - ### or

    public static VulkanPhysicalDeviceFeatures10 or(VulkanPhysicalDeviceFeatures10 a, VulkanPhysicalDeviceFeatures10 b)
    Apply a bitwise OR to all fields.
    Parameters:
      `a` - The left features
      `b` - The right features
    Returns:
      The OR of all features

  - ### random11

    public static VulkanPhysicalDeviceFeatures11 random11()
    Returns:
      A random feature selection

  - ### or

    public static VulkanPhysicalDeviceFeatures11 or(VulkanPhysicalDeviceFeatures11 a, VulkanPhysicalDeviceFeatures11 b)
    Apply a bitwise OR to all fields.
    Parameters:
      `a` - The left features
      `b` - The right features
    Returns:
      The OR of all features

  - ### random12

    public static VulkanPhysicalDeviceFeatures12 random12()
    Returns:
      A random feature selection

  - ### or

    public static VulkanPhysicalDeviceFeatures12 or(VulkanPhysicalDeviceFeatures12 a, VulkanPhysicalDeviceFeatures12 b)
    Apply a bitwise OR to all fields.
    Parameters:
      `a` - The left features
      `b` - The right features
    Returns:
      The OR of all features

  - ### random13

    public static VulkanPhysicalDeviceFeatures13 random13()
    Returns:
      A random feature selection

  - ### random14

    public static VulkanPhysicalDeviceFeatures14 random14()
    Returns:
      A random feature selection

  - ### or

    public static VulkanPhysicalDeviceFeatures13 or(VulkanPhysicalDeviceFeatures13 a, VulkanPhysicalDeviceFeatures13 b)
    Apply a bitwise OR to all fields.
    Parameters:
      `a` - The left features
      `b` - The right features
    Returns:
      The OR of all features

  - ### or

    public static VulkanPhysicalDeviceFeatures14 or(VulkanPhysicalDeviceFeatures14 a, VulkanPhysicalDeviceFeatures14 b)
    Apply a bitwise OR to all fields.
    Parameters:
      `a` - The left features
      `b` - The right features
    Returns:
      The OR of all features

  - ### mapOf11

    public static Map<String,Boolean> mapOf11(VulkanPhysicalDeviceFeatures11 f)
    Parameters:
      `f` - The features
    Returns:
      The features as a boolean map

  - ### mapOf12

    public static Map<String,Boolean> mapOf12(VulkanPhysicalDeviceFeatures12 f)
    Parameters:
      `f` - The features
    Returns:
      The features as a boolean map

  - ### mapOf13

    public static Map<String,Boolean> mapOf13(VulkanPhysicalDeviceFeatures13 f)
    Parameters:
      `f` - The features
    Returns:
      The features as a boolean map

  - ### mapOf14

    public static Map<String,Boolean> mapOf14(VulkanPhysicalDeviceFeatures14 f)
    Parameters:
      `f` - The features
    Returns:
      The features as a boolean map

  - ### mapOf

    public static Map<String,Boolean> mapOf(VulkanPhysicalDeviceFeatures f)
    Parameters:
      `f` - The features
    Returns:
      The features as a boolean map

  - ### isSupported10

    public static Set<String> isSupported10(VulkanPhysicalDeviceFeatures10 supported, VulkanPhysicalDeviceFeatures10 requested)
    Determine if the given set of features in `supported` satisfies those in `requested`. An empty set is returned if everything is supported.
    Parameters:
      `supported` - The supported features
      `requested` - The requested features
    Returns:
      The features that were not available

  - ### isSupported11

    public static Set<String> isSupported11(VulkanPhysicalDeviceFeatures11 supported, VulkanPhysicalDeviceFeatures11 requested)
    Determine if the given set of features in `supported` satisfies those in `requested`. An empty set is returned if everything is supported.
    Parameters:
      `supported` - The supported features
      `requested` - The requested features
    Returns:
      The features that were not available

  - ### isSupported12

    public static Set<String> isSupported12(VulkanPhysicalDeviceFeatures12 supported, VulkanPhysicalDeviceFeatures12 requested)
    Determine if the given set of features in `supported` satisfies those in `requested`. An empty set is returned if everything is supported.
    Parameters:
      `supported` - The supported features
      `requested` - The requested features
    Returns:
      The features that were not available

  - ### isSupported13

    public static Set<String> isSupported13(VulkanPhysicalDeviceFeatures13 supported, VulkanPhysicalDeviceFeatures13 requested)
    Determine if the given set of features in `supported` satisfies those in `requested`. An empty set is returned if everything is supported.
    Parameters:
      `supported` - The supported features
      `requested` - The requested features
    Returns:
      The features that were not available

  - ### isSupported14

    public static Set<String> isSupported14(VulkanPhysicalDeviceFeatures14 supported, VulkanPhysicalDeviceFeatures14 requested)
    Determine if the given set of features in `supported` satisfies those in `requested`. An empty set is returned if everything is supported.
    Parameters:
      `supported` - The supported features
      `requested` - The requested features
    Returns:
      The features that were not available

  - ### isSupported

    public static Set<String> isSupported(VulkanPhysicalDeviceFeatures supported, VulkanPhysicalDeviceFeatures requested)
    Determine if the given set of features in `supported` satisfies those in `requested`. An empty set is returned if everything is supported.
    Parameters:
      `supported` - The supported features
      `requested` - The requested features
    Returns:
      The features that were not available